メイン コンテンツにスキップ

このブラウザーはサポートされなくなりました。

Microsoft Edge にアップグレードすると、最新の機能、セキュリティ更新プログラム、およびテクニカル サポートを利用できます。

Microsoft Edge をダウンロードする Internet Explorer と Microsoft Edge の詳細情報
microsoft-foundry.rest.security.o-auth2-auth

Schedules

Create or update a schedule

PUT /schedules/{id}

Creates a new schedule or updates an existing schedule with the supplied definition.

クエリ パラメーター

api-version string 必須

The API version to use for this operation.

パス パラメーター

id string 必須

Identifier of the schedule.

ヘッダー パラメーター

Foundry-Features enum 必須

A feature flag opt-in required when using preview operations or modifying persisted preview resources.

Schedules=V1Preview

要求本文

The resource instance.

Content-Type: application/json
id string 必須

Identifier of the schedule.

displayName string

Name of the schedule.

description string

Description of the schedule.

enabled boolean 必須

Enabled status of the schedule.

provisioningStatus string | enum

Schedule provisioning status.

次のいずれか:
string
enum
CreatingUpdatingDeletingSucceededFailed
trigger Cron | Recurrence | OneTime 必須

Base model for Trigger of the schedule.

次のいずれか:
Cron CronTrigger

Cron based trigger.

type enum 必須
Cron
expression string 必須

Cron expression that defines the schedule frequency.

timeZone string

Time zone for the cron schedule. Defaults to UTC.

startTime string

Start time for the cron schedule in ISO 8601 format.

endTime string

End time for the cron schedule in ISO 8601 format.

Recurrence RecurrenceTrigger

Recurrence based trigger.

type enum 必須

Type of the trigger.

Recurrence
startTime string

Start time for the recurrence schedule in ISO 8601 format.

endTime string

End time for the recurrence schedule in ISO 8601 format.

timeZone string

Time zone for the recurrence schedule. Defaults to UTC.

interval integer 必須

Interval for the recurrence schedule.

schedule Hourly | Daily | Weekly | Monthly 必須

Recurrence schedule model.

次のいずれか:
Hourly HourlyRecurrenceSchedule

Hourly recurrence schedule.

type enum 必須
Hourly
Daily DailyRecurrenceSchedule

Daily recurrence schedule.

type enum 必須

Daily recurrence type.

Daily
hours integer[] 必須

Hours for the recurrence schedule.

Weekly WeeklyRecurrenceSchedule

Weekly recurrence schedule.

type enum 必須

Weekly recurrence type.

Weekly
daysOfWeek DayOfWeek[] 必須

Days of the week for the recurrence schedule.

Monthly MonthlyRecurrenceSchedule

Monthly recurrence schedule.

type enum 必須

Monthly recurrence type.

Monthly
daysOfMonth integer[] 必須

Days of the month for the recurrence schedule.

OneTime OneTimeTrigger

One-time trigger.

type enum 必須
OneTime
triggerAt string 必須

Date and time for the one-time trigger in ISO 8601 format.

timeZone string

Time zone for the one-time trigger. Defaults to UTC.

task Evaluation | Insight 必須

Schedule task model.

次のいずれか:
Evaluation EvaluationScheduleTask

Evaluation task for the schedule.

type enum 必須
Evaluation
evalId string 必須

Identifier of the evaluation group.

evalRun object 必須

The evaluation run payload.

Insight InsightScheduleTask

Insight task for the schedule.

type enum 必須
Insight
insight Insight 必須

The response body for cluster insights.

id string 必須

The unique identifier for the insights report.

metadata InsightsMetadata 必須

Metadata about the insights.

createdAt string 必須

The timestamp when the insights were created.

completedAt string

The timestamp when the insights were completed.

state enum | string 必須

Enum describing allowed operation states.

次のいずれか:
enum
NotStartedRunningSucceededFailedCanceled
string
displayName string 必須

User friendly display name for the insight.

request EvaluationRunClusterInsight | AgentClusterInsight | EvaluationComparison 必須

The request of the insights report.

次のいずれか:
EvaluationRunClusterInsight EvaluationRunClusterInsightRequest

Insights on set of Evaluation Results

type enum 必須

The type of insights request.

EvaluationRunClusterInsight
evalId string 必須

Evaluation Id for the insights.

runIds string[] 必須

List of evaluation run IDs for the insights.

modelConfiguration InsightModelConfiguration

Configuration of the model used in the insight generation.

modelDeploymentName string 必須

The model deployment to be evaluated. Accepts either the deployment name alone or with the connection name as '{connectionName}/<modelDeploymentName>'.

AgentClusterInsight AgentClusterInsightRequest

Insights on set of Agent Evaluation Results

type enum 必須

The type of request.

AgentClusterInsight
agentName string 必須

Identifier for the agent.

modelConfiguration InsightModelConfiguration

Configuration of the model used in the insight generation.

modelDeploymentName string 必須

The model deployment to be evaluated. Accepts either the deployment name alone or with the connection name as '{connectionName}/<modelDeploymentName>'.

EvaluationComparison EvaluationComparisonInsightRequest

Evaluation Comparison Request

type enum 必須

The type of request.

EvaluationComparison
evalId string 必須

Identifier for the evaluation.

baselineRunId string 必須

The baseline run ID for comparison.

treatmentRunIds string[] 必須

List of treatment run IDs for comparison.

result EvaluationComparison | EvaluationRunClusterInsight | AgentClusterInsight

The result of the insights.

次のいずれか:
EvaluationComparison EvaluationComparisonInsightResult

Insights from the evaluation comparison.

type enum 必須

The type of insights result.

EvaluationComparison
comparisons EvalRunResultComparison[] 必須

Comparison results for each treatment run against the baseline.

method string 必須

The statistical method used for comparison.

EvaluationRunClusterInsight EvaluationRunClusterInsightResult

Insights from the evaluation run cluster analysis.

type enum 必須

The type of insights result.

EvaluationRunClusterInsight
clusterInsight ClusterInsightResult 必須

Insights from the cluster analysis.

summary InsightSummary 必須

Summary of the error cluster analysis.

sampleCount integer 必須

Total number of samples analyzed.

uniqueSubclusterCount integer 必須

Total number of unique subcluster labels.

uniqueClusterCount integer 必須

Total number of unique clusters.

method string 必須

Method used for clustering.

usage ClusterTokenUsage 必須

Token usage for cluster analysis

inputTokenUsage integer 必須

input token usage

outputTokenUsage integer 必須

output token usage

totalTokenUsage integer 必須

total token usage

clusters InsightCluster[] 必須

List of clusters identified in the insights.

coordinates object

Optional mapping of IDs to 2D coordinates used by the UX for visualization. The map keys are string identifiers (for example, a cluster id or a sample id) and the values are the coordinates and visual size for rendering on a 2D chart. This property is omitted unless the client requests coordinates (for example, by passing includeCoordinates=true as a query parameter). Example: { "cluster-1": { "x": 12, "y": 34, "size": 8 }, "sample-123": { "x": 18, "y": 22, "size": 4 } } Coordinates are intended only for client-side visualization and do not modify the canonical insights results.

[key: string] ChartCoordinate

Coordinates for the analysis chart.

x integer 必須

X-axis coordinate.

y integer 必須

Y-axis coordinate.

size integer 必須

Size of the chart element.

AgentClusterInsight AgentClusterInsightResult

Insights from the agent cluster analysis.

type enum 必須

The type of insights result.

AgentClusterInsight
clusterInsight ClusterInsightResult 必須

Insights from the cluster analysis.

summary InsightSummary 必須

Summary of the error cluster analysis.

sampleCount integer 必須

Total number of samples analyzed.

uniqueSubclusterCount integer 必須

Total number of unique subcluster labels.

uniqueClusterCount integer 必須

Total number of unique clusters.

method string 必須

Method used for clustering.

usage ClusterTokenUsage 必須

Token usage for cluster analysis

inputTokenUsage integer 必須

input token usage

outputTokenUsage integer 必須

output token usage

totalTokenUsage integer 必須

total token usage

clusters InsightCluster[] 必須

List of clusters identified in the insights.

coordinates object

Optional mapping of IDs to 2D coordinates used by the UX for visualization. The map keys are string identifiers (for example, a cluster id or a sample id) and the values are the coordinates and visual size for rendering on a 2D chart. This property is omitted unless the client requests coordinates (for example, by passing includeCoordinates=true as a query parameter). Example: { "cluster-1": { "x": 12, "y": 34, "size": 8 }, "sample-123": { "x": 18, "y": 22, "size": 4 } } Coordinates are intended only for client-side visualization and do not modify the canonical insights results.

[key: string] ChartCoordinate

Coordinates for the analysis chart.

x integer 必須

X-axis coordinate.

y integer 必須

Y-axis coordinate.

size integer 必須

Size of the chart element.

tags object

Schedule's tags. Unlike properties, tags are fully mutable.

[key: string] string
properties object

Schedule's properties. Unlike tags, properties are add-only. Once added, a property cannot be removed.

[key: string] string
systemData object 必須

System metadata for the resource.

[key: string] string

応答

The request has succeeded.

本文

Content-Type: application/json
id string 必須

Identifier of the schedule.

displayName string

Name of the schedule.

description string

Description of the schedule.

enabled boolean 必須

Enabled status of the schedule.

provisioningStatus string | enum

Schedule provisioning status.

次のいずれか:
string
enum
CreatingUpdatingDeletingSucceededFailed
trigger Cron | Recurrence | OneTime 必須

Base model for Trigger of the schedule.

次のいずれか:
Cron CronTrigger

Cron based trigger.

type enum 必須
Cron
expression string 必須

Cron expression that defines the schedule frequency.

timeZone string

Time zone for the cron schedule. Defaults to UTC.

startTime string

Start time for the cron schedule in ISO 8601 format.

endTime string

End time for the cron schedule in ISO 8601 format.

Recurrence RecurrenceTrigger

Recurrence based trigger.

type enum 必須

Type of the trigger.

Recurrence
startTime string

Start time for the recurrence schedule in ISO 8601 format.

endTime string

End time for the recurrence schedule in ISO 8601 format.

timeZone string

Time zone for the recurrence schedule. Defaults to UTC.

interval integer 必須

Interval for the recurrence schedule.

schedule Hourly | Daily | Weekly | Monthly 必須

Recurrence schedule model.

次のいずれか:
Hourly HourlyRecurrenceSchedule

Hourly recurrence schedule.

type enum 必須
Hourly
Daily DailyRecurrenceSchedule

Daily recurrence schedule.

type enum 必須

Daily recurrence type.

Daily
hours integer[] 必須

Hours for the recurrence schedule.

Weekly WeeklyRecurrenceSchedule

Weekly recurrence schedule.

type enum 必須

Weekly recurrence type.

Weekly
daysOfWeek DayOfWeek[] 必須

Days of the week for the recurrence schedule.

Monthly MonthlyRecurrenceSchedule

Monthly recurrence schedule.

type enum 必須

Monthly recurrence type.

Monthly
daysOfMonth integer[] 必須

Days of the month for the recurrence schedule.

OneTime OneTimeTrigger

One-time trigger.

type enum 必須
OneTime
triggerAt string 必須

Date and time for the one-time trigger in ISO 8601 format.

timeZone string

Time zone for the one-time trigger. Defaults to UTC.

task Evaluation | Insight 必須

Schedule task model.

次のいずれか:
Evaluation EvaluationScheduleTask

Evaluation task for the schedule.

type enum 必須
Evaluation
evalId string 必須

Identifier of the evaluation group.

evalRun object 必須

The evaluation run payload.

Insight InsightScheduleTask

Insight task for the schedule.

type enum 必須
Insight
insight Insight 必須

The response body for cluster insights.

id string 必須

The unique identifier for the insights report.

metadata InsightsMetadata 必須

Metadata about the insights.

createdAt string 必須

The timestamp when the insights were created.

completedAt string

The timestamp when the insights were completed.

state enum | string 必須

Enum describing allowed operation states.

次のいずれか:
enum
NotStartedRunningSucceededFailedCanceled
string
displayName string 必須

User friendly display name for the insight.

request EvaluationRunClusterInsight | AgentClusterInsight | EvaluationComparison 必須

The request of the insights report.

次のいずれか:
EvaluationRunClusterInsight EvaluationRunClusterInsightRequest

Insights on set of Evaluation Results

type enum 必須

The type of insights request.

EvaluationRunClusterInsight
evalId string 必須

Evaluation Id for the insights.

runIds string[] 必須

List of evaluation run IDs for the insights.

modelConfiguration InsightModelConfiguration

Configuration of the model used in the insight generation.

modelDeploymentName string 必須

The model deployment to be evaluated. Accepts either the deployment name alone or with the connection name as '{connectionName}/<modelDeploymentName>'.

AgentClusterInsight AgentClusterInsightRequest

Insights on set of Agent Evaluation Results

type enum 必須

The type of request.

AgentClusterInsight
agentName string 必須

Identifier for the agent.

modelConfiguration InsightModelConfiguration

Configuration of the model used in the insight generation.

modelDeploymentName string 必須

The model deployment to be evaluated. Accepts either the deployment name alone or with the connection name as '{connectionName}/<modelDeploymentName>'.

EvaluationComparison EvaluationComparisonInsightRequest

Evaluation Comparison Request

type enum 必須

The type of request.

EvaluationComparison
evalId string 必須

Identifier for the evaluation.

baselineRunId string 必須

The baseline run ID for comparison.

treatmentRunIds string[] 必須

List of treatment run IDs for comparison.

result EvaluationComparison | EvaluationRunClusterInsight | AgentClusterInsight

The result of the insights.

次のいずれか:
EvaluationComparison EvaluationComparisonInsightResult

Insights from the evaluation comparison.

type enum 必須

The type of insights result.

EvaluationComparison
comparisons EvalRunResultComparison[] 必須

Comparison results for each treatment run against the baseline.

method string 必須

The statistical method used for comparison.

EvaluationRunClusterInsight EvaluationRunClusterInsightResult

Insights from the evaluation run cluster analysis.

type enum 必須

The type of insights result.

EvaluationRunClusterInsight
clusterInsight ClusterInsightResult 必須

Insights from the cluster analysis.

summary InsightSummary 必須

Summary of the error cluster analysis.

sampleCount integer 必須

Total number of samples analyzed.

uniqueSubclusterCount integer 必須

Total number of unique subcluster labels.

uniqueClusterCount integer 必須

Total number of unique clusters.

method string 必須

Method used for clustering.

usage ClusterTokenUsage 必須

Token usage for cluster analysis

inputTokenUsage integer 必須

input token usage

outputTokenUsage integer 必須

output token usage

totalTokenUsage integer 必須

total token usage

clusters InsightCluster[] 必須

List of clusters identified in the insights.

coordinates object

Optional mapping of IDs to 2D coordinates used by the UX for visualization. The map keys are string identifiers (for example, a cluster id or a sample id) and the values are the coordinates and visual size for rendering on a 2D chart. This property is omitted unless the client requests coordinates (for example, by passing includeCoordinates=true as a query parameter). Example: { "cluster-1": { "x": 12, "y": 34, "size": 8 }, "sample-123": { "x": 18, "y": 22, "size": 4 } } Coordinates are intended only for client-side visualization and do not modify the canonical insights results.

[key: string] ChartCoordinate

Coordinates for the analysis chart.

x integer 必須

X-axis coordinate.

y integer 必須

Y-axis coordinate.

size integer 必須

Size of the chart element.

AgentClusterInsight AgentClusterInsightResult

Insights from the agent cluster analysis.

type enum 必須

The type of insights result.

AgentClusterInsight
clusterInsight ClusterInsightResult 必須

Insights from the cluster analysis.

summary InsightSummary 必須

Summary of the error cluster analysis.

sampleCount integer 必須

Total number of samples analyzed.

uniqueSubclusterCount integer 必須

Total number of unique subcluster labels.

uniqueClusterCount integer 必須

Total number of unique clusters.

method string 必須

Method used for clustering.

usage ClusterTokenUsage 必須

Token usage for cluster analysis

inputTokenUsage integer 必須

input token usage

outputTokenUsage integer 必須

output token usage

totalTokenUsage integer 必須

total token usage

clusters InsightCluster[] 必須

List of clusters identified in the insights.

coordinates object

Optional mapping of IDs to 2D coordinates used by the UX for visualization. The map keys are string identifiers (for example, a cluster id or a sample id) and the values are the coordinates and visual size for rendering on a 2D chart. This property is omitted unless the client requests coordinates (for example, by passing includeCoordinates=true as a query parameter). Example: { "cluster-1": { "x": 12, "y": 34, "size": 8 }, "sample-123": { "x": 18, "y": 22, "size": 4 } } Coordinates are intended only for client-side visualization and do not modify the canonical insights results.

[key: string] ChartCoordinate

Coordinates for the analysis chart.

x integer 必須

X-axis coordinate.

y integer 必須

Y-axis coordinate.

size integer 必須

Size of the chart element.

tags object

Schedule's tags. Unlike properties, tags are fully mutable.

[key: string] string
properties object

Schedule's properties. Unlike tags, properties are add-only. Once added, a property cannot be removed.

[key: string] string
systemData object 必須

System metadata for the resource.

[key: string] string

The request has succeeded and a new resource has been created as a result.

本文

Content-Type: application/json
id string 必須

Identifier of the schedule.

displayName string

Name of the schedule.

description string

Description of the schedule.

enabled boolean 必須

Enabled status of the schedule.

provisioningStatus string | enum

Schedule provisioning status.

次のいずれか:
string
enum
CreatingUpdatingDeletingSucceededFailed
trigger Cron | Recurrence | OneTime 必須

Base model for Trigger of the schedule.

次のいずれか:
Cron CronTrigger

Cron based trigger.

type enum 必須
Cron
expression string 必須

Cron expression that defines the schedule frequency.

timeZone string

Time zone for the cron schedule. Defaults to UTC.

startTime string

Start time for the cron schedule in ISO 8601 format.

endTime string

End time for the cron schedule in ISO 8601 format.

Recurrence RecurrenceTrigger

Recurrence based trigger.

type enum 必須

Type of the trigger.

Recurrence
startTime string

Start time for the recurrence schedule in ISO 8601 format.

endTime string

End time for the recurrence schedule in ISO 8601 format.

timeZone string

Time zone for the recurrence schedule. Defaults to UTC.

interval integer 必須

Interval for the recurrence schedule.

schedule Hourly | Daily | Weekly | Monthly 必須

Recurrence schedule model.

次のいずれか:
Hourly HourlyRecurrenceSchedule

Hourly recurrence schedule.

type enum 必須
Hourly
Daily DailyRecurrenceSchedule

Daily recurrence schedule.

type enum 必須

Daily recurrence type.

Daily
hours integer[] 必須

Hours for the recurrence schedule.

Weekly WeeklyRecurrenceSchedule

Weekly recurrence schedule.

type enum 必須

Weekly recurrence type.

Weekly
daysOfWeek DayOfWeek[] 必須

Days of the week for the recurrence schedule.

Monthly MonthlyRecurrenceSchedule

Monthly recurrence schedule.

type enum 必須

Monthly recurrence type.

Monthly
daysOfMonth integer[] 必須

Days of the month for the recurrence schedule.

OneTime OneTimeTrigger

One-time trigger.

type enum 必須
OneTime
triggerAt string 必須

Date and time for the one-time trigger in ISO 8601 format.

timeZone string

Time zone for the one-time trigger. Defaults to UTC.

task Evaluation | Insight 必須

Schedule task model.

次のいずれか:
Evaluation EvaluationScheduleTask

Evaluation task for the schedule.

type enum 必須
Evaluation
evalId string 必須

Identifier of the evaluation group.

evalRun object 必須

The evaluation run payload.

Insight InsightScheduleTask

Insight task for the schedule.

type enum 必須
Insight
insight Insight 必須

The response body for cluster insights.

id string 必須

The unique identifier for the insights report.

metadata InsightsMetadata 必須

Metadata about the insights.

createdAt string 必須

The timestamp when the insights were created.

completedAt string

The timestamp when the insights were completed.

state enum | string 必須

Enum describing allowed operation states.

次のいずれか:
enum
NotStartedRunningSucceededFailedCanceled
string
displayName string 必須

User friendly display name for the insight.

request EvaluationRunClusterInsight | AgentClusterInsight | EvaluationComparison 必須

The request of the insights report.

次のいずれか:
EvaluationRunClusterInsight EvaluationRunClusterInsightRequest

Insights on set of Evaluation Results

type enum 必須

The type of insights request.

EvaluationRunClusterInsight
evalId string 必須

Evaluation Id for the insights.

runIds string[] 必須

List of evaluation run IDs for the insights.

modelConfiguration InsightModelConfiguration

Configuration of the model used in the insight generation.

modelDeploymentName string 必須

The model deployment to be evaluated. Accepts either the deployment name alone or with the connection name as '{connectionName}/<modelDeploymentName>'.

AgentClusterInsight AgentClusterInsightRequest

Insights on set of Agent Evaluation Results

type enum 必須

The type of request.

AgentClusterInsight
agentName string 必須

Identifier for the agent.

modelConfiguration InsightModelConfiguration

Configuration of the model used in the insight generation.

modelDeploymentName string 必須

The model deployment to be evaluated. Accepts either the deployment name alone or with the connection name as '{connectionName}/<modelDeploymentName>'.

EvaluationComparison EvaluationComparisonInsightRequest

Evaluation Comparison Request

type enum 必須

The type of request.

EvaluationComparison
evalId string 必須

Identifier for the evaluation.

baselineRunId string 必須

The baseline run ID for comparison.

treatmentRunIds string[] 必須

List of treatment run IDs for comparison.

result EvaluationComparison | EvaluationRunClusterInsight | AgentClusterInsight

The result of the insights.

次のいずれか:
EvaluationComparison EvaluationComparisonInsightResult

Insights from the evaluation comparison.

type enum 必須

The type of insights result.

EvaluationComparison
comparisons EvalRunResultComparison[] 必須

Comparison results for each treatment run against the baseline.

method string 必須

The statistical method used for comparison.

EvaluationRunClusterInsight EvaluationRunClusterInsightResult

Insights from the evaluation run cluster analysis.

type enum 必須

The type of insights result.

EvaluationRunClusterInsight
clusterInsight ClusterInsightResult 必須

Insights from the cluster analysis.

summary InsightSummary 必須

Summary of the error cluster analysis.

sampleCount integer 必須

Total number of samples analyzed.

uniqueSubclusterCount integer 必須

Total number of unique subcluster labels.

uniqueClusterCount integer 必須

Total number of unique clusters.

method string 必須

Method used for clustering.

usage ClusterTokenUsage 必須

Token usage for cluster analysis

inputTokenUsage integer 必須

input token usage

outputTokenUsage integer 必須

output token usage

totalTokenUsage integer 必須

total token usage

clusters InsightCluster[] 必須

List of clusters identified in the insights.

coordinates object

Optional mapping of IDs to 2D coordinates used by the UX for visualization. The map keys are string identifiers (for example, a cluster id or a sample id) and the values are the coordinates and visual size for rendering on a 2D chart. This property is omitted unless the client requests coordinates (for example, by passing includeCoordinates=true as a query parameter). Example: { "cluster-1": { "x": 12, "y": 34, "size": 8 }, "sample-123": { "x": 18, "y": 22, "size": 4 } } Coordinates are intended only for client-side visualization and do not modify the canonical insights results.

[key: string] ChartCoordinate

Coordinates for the analysis chart.

x integer 必須

X-axis coordinate.

y integer 必須

Y-axis coordinate.

size integer 必須

Size of the chart element.

AgentClusterInsight AgentClusterInsightResult

Insights from the agent cluster analysis.

type enum 必須

The type of insights result.

AgentClusterInsight
clusterInsight ClusterInsightResult 必須

Insights from the cluster analysis.

summary InsightSummary 必須

Summary of the error cluster analysis.

sampleCount integer 必須

Total number of samples analyzed.

uniqueSubclusterCount integer 必須

Total number of unique subcluster labels.

uniqueClusterCount integer 必須

Total number of unique clusters.

method string 必須

Method used for clustering.

usage ClusterTokenUsage 必須

Token usage for cluster analysis

inputTokenUsage integer 必須

input token usage

outputTokenUsage integer 必須

output token usage

totalTokenUsage integer 必須

total token usage

clusters InsightCluster[] 必須

List of clusters identified in the insights.

coordinates object

Optional mapping of IDs to 2D coordinates used by the UX for visualization. The map keys are string identifiers (for example, a cluster id or a sample id) and the values are the coordinates and visual size for rendering on a 2D chart. This property is omitted unless the client requests coordinates (for example, by passing includeCoordinates=true as a query parameter). Example: { "cluster-1": { "x": 12, "y": 34, "size": 8 }, "sample-123": { "x": 18, "y": 22, "size": 4 } } Coordinates are intended only for client-side visualization and do not modify the canonical insights results.

[key: string] ChartCoordinate

Coordinates for the analysis chart.

x integer 必須

X-axis coordinate.

y integer 必須

Y-axis coordinate.

size integer 必須

Size of the chart element.

tags object

Schedule's tags. Unlike properties, tags are fully mutable.

[key: string] string
properties object

Schedule's properties. Unlike tags, properties are add-only. Once added, a property cannot be removed.

[key: string] string
systemData object 必須

System metadata for the resource.

[key: string] string

Client error

ヘッダー

x-ms-error-code string

String error code indicating what went wrong.

本文

Content-Type: application/json
error Azure.Core.Foundations.Error 必須

The error object.

code string 必須

One of a server-defined set of error codes.

message string 必須

A human-readable representation of the error.

target string

The target of the error.

details Azure.Core.Foundations.Error[]

An array of details about specific errors that led to this reported error.

innererror Azure.Core.Foundations.InnerError

An object containing more specific information about the error. As per Azure REST API guidelines - https://aka.ms/AzureRestApiGuidelines#handling-errors.

code string

One of a server-defined set of error codes.

innererror Azure.Core.Foundations.InnerError

Server error

ヘッダー

x-ms-error-code string

String error code indicating what went wrong.

本文

Content-Type: application/json
error Azure.Core.Foundations.Error 必須

The error object.

code string 必須

One of a server-defined set of error codes.

message string 必須

A human-readable representation of the error.

target string

The target of the error.

details Azure.Core.Foundations.Error[]

An array of details about specific errors that led to this reported error.

innererror Azure.Core.Foundations.InnerError

An object containing more specific information about the error. As per Azure REST API guidelines - https://aka.ms/AzureRestApiGuidelines#handling-errors.

code string

One of a server-defined set of error codes.

innererror Azure.Core.Foundations.InnerError

要求

PUT /schedules/{id} HTTP/1.1

回答

Status: 200
Content-Type: application/json
Status: 201
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json
ja-jp
プライバシーの選択
  • AI 免責事項
  • 以前のバージョン
  • ブログ
  • 投稿
  • プライバシー
  • コンシューマーの健康に関するプライバシー
  • 利用条件
  • 商標
  • © Microsoft 2026